package com.bcxin.risk.common.vo;

import com.bcxin.risk.report.enums.EmailMsgType;


public class MessageModel {
	private EmailMsgType msgType;
	private String to ;
	private String content;

	public MessageModel(){}
	
	public MessageModel(EmailMsgType type){
		switch (type) {
			case SURVEYTASK:
				this.content = "您有新的勘查任务，请登录微信公众号查看！";
				break;
			default:
				break;
		}
	}
	
	public MessageModel(EmailMsgType type,String content){
		switch (type) {
			case FORGETPASSWORD:
				this.content = "验证码为："+content;
				break;
			case REGISTER:
				this.content = "验证码为："+content;
				break;
			case PWVALIDATE:
				this.content = "验证码为："+content;
				break;
			default:
				break;
		}
	}
	
	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public void addTo(String email) {
		setTo(email);
	}

	public EmailMsgType getMsgType() {
		return msgType;
	}

	public void setMsgType(EmailMsgType msgType) {
		this.msgType = msgType;
	}
	
}
